# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=cpio
pkgver=2.13
pkgrel=1
pkgdesc="A tool to copy files into or out of a cpio or tar archive"
arch=(x86_64)
url="https://www.gnu.org/software/cpio"
license=('GPL')
groups=('base')
depends=('glibc')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
sha256sums=(eab5bdc5ae1df285c59f2a4f140a98fc33678a0bf61bdba67d9436ae26b46f6d)

prepare() {
    cd ${pkgname}-${pkgver}

    sed -i '/The name/,+2 d' src/global.c
}

build() {
    cd ${pkgname}-${pkgver}

    ${configure}      \
        --enable-mt   \
        --with-rmt=/usr/libexec/rmt

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
